Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: xfce4-weather-plugin applet fails in 20.04

  1. #1
    Join Date
    Jul 2005
    Location
    I think I'm here! Maybe?
    Beans
    Hidden!
    Distro
    Xubuntu 20.04 Focal Fossa

    xfce4-weather-plugin applet fails in 20.04

    I use the xfce4-weather-plugin applet and have done so for many years.

    It has suddenly stopped working in 20.04 and is impossible to set the location in the usual way with a right-click and using Properties from the context menu.

    I have tried installing the version from Xubuntu 21.04 (0.11.0-1) but that fails with a dependency problem due to the version of libgdk-pixbuf available in 20.04.
    Following a thread in the LinuxMint forum https://forums.linuxmint.com/viewtop...?f=57&t=344110 about using the libweather.so from MX-Linux I tried the version of the plugin direct from MX-Linux and it installed with no problem.
    No doubt this will be sorted out soon as it was when I last suffered in this way back in 2016 but I wonder if anyone else has seen this problem and found other ways of solving it without using the MX version.
    I have also just downloaded the plugin version 0.10.2.1 from the PPA at https://launchpad.net/~wasta-linux/+...4-16/+packages to see if that will install. I didn't hold out much as it is from Xfce-4.16 but it installed fine and appears to be working fine.


    Watch this space!

    EDIT.
    I have just restored the repository version but then downloaded the version from the PPA for xfce-4.16 at https://launchpad.net/~bluesabre/+ar...4.16/+packages.
    I extracted the libweather.so from the package of that PPA version and replaced the installed version with this 4.16 version.

    All is working well at present.
    Last edited by ajgreeny; March 4th, 2021 at 11:44 PM. Reason: New solution.

  2. #2
    Join Date
    Mar 2007
    Location
    Promiseland
    Beans
    1,056
    Distro
    Xubuntu

    Re: xfce4-weather-plugin applet fails in 20.04

    @ajgreeny
    I had never used xfce4-weather-plugin applet, but in reading your post, I added it to my panel. I was able to set the location, but the panel indicator shows, "No Data" Was that the same symptom that yours was showing before your fixit?
    Cheers,


    The Linux Command Line at http://linuxcommand.org/

  3. #3
    Join Date
    Jun 2020
    Beans
    181

    Re: xfce4-weather-plugin applet fails in 20.04

    yea my weather thingy also stopped working last nigth.
    didn't have time to look into it yet , but now i'm glad i stumbled onto this thread lol
    will try your fixes once i'm home again.
    thanks!

    ps. wondering why it suddenly stopped working? could some update broken it? i mean this isn't windows ...
    Last edited by 3nd; March 5th, 2021 at 04:04 AM.
    xubuntu 20.04.2 LTS (focal fossa)

  4. #4
    Join Date
    May 2010
    Beans
    1,206

    Re: xfce4-weather-plugin applet fails in 20.04

    Sounds like a bug to me. If you report one with your fix it may help the guys resolve the issue. Great share too. Hopefully it'll help others

  5. #5
    Join Date
    Jul 2005
    Location
    I think I'm here! Maybe?
    Beans
    Hidden!
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: xfce4-weather-plugin applet fails in 20.04

    The problem relates to the API of the applet apparently, but I'm the wrong person to ask about what that really means other than the failure of the applet.

    It looks as if there are several work arounds for this which I've mentioned in my post and I expect it to be solved fully fairly quickly but its still annoying.

    @ him610
    Yes, that is the exact problem.

  6. #6
    Join Date
    Dec 2014
    Beans
    1,729

    Re: xfce4-weather-plugin applet fails in 20.04

    Quote Originally Posted by ajgreeny View Post
    The problem relates to the API of the applet apparently, but I'm the wrong person to ask about what that really means other than the failure of the applet.
    Not the API of the plugin but that of the web-service (met.no) it uses to get the data. The new version went online sometime last summer but there was a grace period in which both the old and the new version of the service were available. Seems like that has ended. New versions of the plugin use the new API, so there's no problem beside getting the new version ...

    Holger

  7. #7
    Join Date
    Jul 2005
    Location
    I think I'm here! Maybe?
    Beans
    Hidden!
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: xfce4-weather-plugin applet fails in 20.04

    Thanks for that Holger; it shows how little I know about such details, or even what exactly an API is!

    However, as you say, there is no problem in getting the newer version of the libweather.so file to replace the version in the default package in order to get the applet to work again.

  8. #8
    Join Date
    Mar 2009
    Location
    The Freight Yard
    Beans
    214
    Distro
    Xubuntu

    Re: xfce4-weather-plugin applet fails in 20.04

    For those who don't mind using a DEB from MX-17, this post here: https://gitlab.xfce.org/panel-plugin.../27#note_26949 gives you a download link for the plugin from the MX17 repository. Tried it & I gots weather.
    This post is like Brigadoon!

  9. #9
    Join Date
    Mar 2007
    Location
    Promiseland
    Beans
    1,056
    Distro
    Xubuntu

    Re: xfce4-weather-plugin applet fails in 20.04

    Downloaded xfce4-weather-plugin_0.10.2-1_20.04_amd64.deb from the the link, https://launchpad.net/~wasta-linux/+...4-16/+packages provided in post #1 by ajgreeny
    Removed the current installed version of xfce4-weather-plugin.
    Installed the downloaded deb file.
    Rebooted.
    Weather Update indicator in panel now displays information.

    @ajgreeny - big thanks
    Cheers,


    The Linux Command Line at http://linuxcommand.org/

  10. #10
    Join Date
    Jul 2005
    Location
    I think I'm here! Maybe?
    Beans
    Hidden!
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: xfce4-weather-plugin applet fails in 20.04

    As I said in my edit to post #1
    EDIT.
    I have just restored the repository version but then downloaded the version from the PPA for xfce-4.16 at https://launchpad.net/~bluesabre/+ar...4.16/+packages.
    I extracted the libweather.so from the package of that PPA version and replaced the installed version with this 4.16 version.

    All is working well at present.
    I still have the repository version of the plugin installed and changed only the libweather.so file that the repo version gives.
    This means that should an updated version of the plugin appear in repos I shall get it using normal upgrades rather than having possible problems due to a non-standard version being installed.

    At least we all have this useful information available to us again!

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •